/*
 * skillchains-avatars.js
 *
 * Copyright (c) 2004 by Daniel Potter.  All rights reserved.
 *
 * This file is part of the FFXI Skillchains Tool.
 *
 * The FFXI Skillchains Tool is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The FFXI Skillchains Tool is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the FFXI Skillchains Tool; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 * Controls the UI for selecting a group of avatars.
 */

var rownum = window.arguments[0];

function init() {
    var container = document.getElementById("avatar-group");
    // Grab the DB off the opener
    if (window.opener.SkillChainDB) {
	var curWeapons = window.arguments[1];
	if (curWeapons == null)
	    curWeapons = [];
	for (var w in window.opener.SkillChainDB.weapons) {
	    var weapon = window.opener.SkillChainDB.weapons[w];
	    var checkbox = document.createElement("checkbox");
	    checkbox.setAttribute("label", weapon.name);
	    checkbox.setAttribute("id", "w-" + w);
	    //checkbox.setAttribute("oncommand", "updateAll()");
	    for (var cw in curWeapons) {
		if (curWeapons[cw] == weapon) {
		    checkbox.setAttribute("checked", "true");
		    break;
		}
	    }
	    container.appendChild(checkbox);
	}
	updateAll();
    } else {
	// dope
	var label = document.createElement("label");
	label.setAttribute("value", "Unable to find DB on opener.");
	container.appendChild(label);
    }
}

function updateAll() {
}

function acceptChanges() {
    if (window.opener.SkillChainDB) {
	// get the array of avatars
	var weapons = new Array();
	for (var w in window.opener.SkillChainDB.weapons) {
	    if (document.getElementById("w-" + w).checked) {
		weapons.push(window.opener.SkillChainDB.weapons[w]);
	    }
	}
	window.opener.multWeaponSelectCallback(rownum, weapons);
    } else {
	// just die
    }
}

function dropChanges() {
    if (window.opener.multWeaponSelectCallback)
	window.opener.multWeaponSelectCallback(rownum, null);
}
