/*
 * skillchains-options.js
 *
 * Copyright (c) 2004 by Daniel Potter.  All rights reserved.
 *
 * This file is part of the FFXI Skillchains Tool.
 *
 * The FFXI Skillchains Tool is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The FFXI Skillchains Tool is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the FFXI Skillchains Tool; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 * Handles the setting and retrieving of options.
 */

var windowManager = Components.classes["@mozilla.org/appshell/window-mediator;1"].
		getService(Components.interfaces.nsIWindowMediator);

function init() {
    document.getElementById("arrowGroup").selectedIndex = getArrowType() == "unicode" ? 1 : 0;
    document.getElementById("rememberSettings").checked = getRememberSettings();
    document.getElementById("rememberNames").checked = ! getRememberNames();
    document.getElementById("showSkillElements").checked = getShowElements();
    document.getElementById("showChainIcons").checked = getShowChainIcons();
    document.getElementById("showChainElements").checked = getShowChainElements();
    document.getElementById("showChainElementNames").checked = getShowChainElementNames();
    toggleRememberSettings(getRememberSettings());
}

function toggleRememberSettings(checked) {
    document.getElementById("rememberNames").disabled = ! checked;
}

function acceptChanges() {
    // called to commit current changes
    setArrowType(document.getElementById("arrowUseUnicode").selected ? "unicode" : "image");
    setRememberSettings(document.getElementById("rememberSettings").checked);
    setRememberNames(! document.getElementById("rememberNames").checked);
    setShowChainIcons(document.getElementById("showChainIcons").checked);
    setShowChainElements(document.getElementById("showChainElements").checked);
    setShowChainElementNames(document.getElementById("showChainElementNames").checked);
    setShowElements(document.getElementById("showSkillElements").checked);
    // if the SC window is up, apply pref changes to it, too
    var windowEnum = windowManager.getEnumerator(null);
    while (windowEnum.hasMoreElements()) {
	var win = windowEnum.getNext();
	if (win.SkillChainDB && win.applyResultsOptions) {
	    win.applyResultsOptions();
	}
    }
}
